<!DOCTYPE html>
<html>
    <head>
        <link href="./img/favicon.png" rel="shortcut icon"/>
        <meta charset="utf-8"/>
        <meta content="width=1366px, maximum-scale=1.0" name="viewport"/>
        <link href="./css/exerciseForHeapInsertion.css" rel="stylesheet" type="text/css"/>
        <meta content="Launchpad by Anima" name="author">
        </meta>
    </head>
    <body style="margin: 0;
 background: rgba(255, 255, 255, 1.0);">
        <input id="anPageName" name="page" type="hidden" value="exerciseforheapinsertion"/>
        <div class="exerciseforheapinsertion">
            <div style="width: 1366px; height: 100%; position:relative; margin:auto;">
                <img anima-src="./img/exercise-for-heap-insertion-path-14-copy-9@2x.png" class="path14copy8" src="data:image/gif;base64,R0lGODlhAQABAIAAAP///wAAACH5BAEAAAAALAAAAAABAAEAAAICRAEAOw=="/>
                <div class="group15copy">
                    <div class="i1">
                        i
                    </div>
                    <img anima-src="./img/exercise-for-heap-insertion-oval-2@2x.png" class="oval21" src="data:image/gif;base64,R0lGODlhAQABAIAAAP///wAAACH5BAEAAAAALAAAAAABAAEAAAICRAEAOw=="/>
                </div>
                <div class="group14copy">
                    <div class="i2">
                        i
                    </div>
                    <img anima-src="./img/exercise-for-heap-insertion-oval-2 1@2x.png" class="oval22" src="data:image/gif;base64,R0lGODlhAQABAIAAAP///wAAACH5BAEAAAAALAAAAAABAAEAAAICRAEAOw=="/>
                </div>
                <div class="exercise">
                    Exercise for quicksort
                    <br/>
                </div>
                <img anima-src="./img/exercise-for-heap-insertion-path-14-copy-9@2x.png" class="path14copy5" src="data:image/gif;base64,R0lGODlhAQABAIAAAP///wAAACH5BAEAAAAALAAAAAABAAEAAAICRAEAOw=="/>
                <div class="createalinkedlist">
                    Perform the quicksort on array :
                </div>
                <div class="group10">
                    <div class="buttoncopy4">
                        <div class="rectangle">
                        </div>
                    </div>
                    <div class="restart">
                        Restart
                    </div>
                </div>
                <div class="group10copy">
                    <div class="buttoncopy41">
                        <div class="rectangle1">
                        </div>
                    </div>
                    <div class="check">
                        Check
                    </div>
                </div>
                <div class="group10copy">
                    <div class="buttoncopy41">
                        <div class="rectangle1">
                        </div>
                    </div>
                    <div class="check">
                        View Answer
                    </div>
                </div>
                <div class="group14">
                    <div class="group12">
                        <div class="rectangle3">
                        </div>
                        <div class="group7">
                            <img anima-src="./img/exercise-for-heap-insertion-path-2-copy-3@2x.png" class="path2copy3" src="data:image/gif;base64,R0lGODlhAQABAIAAAP///wAAACH5BAEAAAAALAAAAAABAAEAAAICRAEAOw=="/>
                            <img anima-src="./img/exercise-for-heap-insertion-path-14-copy-9@2x.png" class="path14copy9" src="data:image/gif;base64,R0lGODlhAQABAIAAAP///wAAACH5BAEAAAAALAAAAAABAAEAAAICRAEAOw=="/>
                            <div class="solveatleasttwoqu">
                                Enter the partitioned array at that step of recursion
                                <br/>
                                If your answer is correct then only you will be taken to the next step
                                <br/>
                                Click view answer to see the answer of leaf nodes of recursion tree
                            </div>
                            <div class="instruction">
                                Instruction:
                            </div>
                        </div>
                        <div class="rectangle5">
                        </div>
                        <div class="rightarrow">
                            <img anima-src="./img/exercise-for-heap-insertion-shape@2x.png" class="shape" src="data:image/gif;base64,R0lGODlhAQABAIAAAP///wAAACH5BAEAAAAALAAAAAABAAEAAAICRAEAOw=="/>
                        </div>
                    </div>
                </div>
                <div class="icon">
                    <img anima-src="./img/exercise-for-heap-insertion-shape 1@2x.png" class="shape1" src="data:image/gif;base64,R0lGODlhAQABAIAAAP///wAAACH5BAEAAAAALAAAAAABAAEAAAICRAEAOw=="/>
                </div>
                <div class="rectangle2">
                </div>
                <div class="a2344455">
                    2 34 44 55
                </div>
                <div class="rectangle2copy">
                </div>
                <div class="rectangle2copy2">
                </div>
                <div class="rectangle2copy3">
                </div>
                <div class="rectangle2copy4">
                </div>
                <div class="rectangle2copy5">
                </div>
                <div class="rectangle2copy6">
                </div>
                <img anima-src="./img/exercise-for-heap-insertion-line@2x.png" class="line" src="data:image/gif;base64,R0lGODlhAQABAIAAAP///wAAACH5BAEAAAAALAAAAAABAAEAAAICRAEAOw=="/>
                <img anima-src="./img/exercise-for-heap-insertion-path-2@2x.png" class="path2" src="data:image/gif;base64,R0lGODlhAQABAIAAAP///wAAACH5BAEAAAAALAAAAAABAAEAAAICRAEAOw=="/>
                <img anima-src="./img/exercise-for-heap-insertion-path-2-copy@2x.png" class="path2copy" src="data:image/gif;base64,R0lGODlhAQABAIAAAP///wAAACH5BAEAAAAALAAAAAABAAEAAAICRAEAOw=="/>
                <img anima-src="./img/exercise-for-heap-insertion-line-2@2x.png" class="line2" src="data:image/gif;base64,R0lGODlhAQABAIAAAP///wAAACH5BAEAAAAALAAAAAABAAEAAAICRAEAOw=="/>
                <img anima-src="./img/exercise-for-heap-insertion-path-3@2x.png" class="path3" src="data:image/gif;base64,R0lGODlhAQABAIAAAP///wAAACH5BAEAAAAALAAAAAABAAEAAAICRAEAOw=="/>
                <img anima-src="./img/exercise-for-heap-insertion-path-3-copy@2x.png" class="path3copy" src="data:image/gif;base64,R0lGODlhAQABAIAAAP///wAAACH5BAEAAAAALAAAAAABAAEAAAICRAEAOw=="/>
                <div class="a2134">
                    21 34
                </div>
                <div class="a4">
                    4
                </div>
            </div>
        </div>
        <!-- Scripts -->
        <script>
            anima_isHidden = function(e) {
                if (!(e instanceof HTMLElement)) return !1;
                if (getComputedStyle(e).display == "none") return !0; else if (e.parentNode && anima_isHidden(e.parentNode)) return !0;
                return !1;
            };
            anima_loadAsyncSrcForTag = function(tag) {
                var elements = document.getElementsByTagName(tag);
                var toLoad = [];
                for (var i = 0; i < elements.length; i++) {
                    var e = elements[i];
                    var src = e.getAttribute("src");
                    var loaded = (src != undefined && src.length > 0 && src != 'data:image/gif;base64,R0lGODlhAQABAIAAAP///wAAACH5BAEAAAAALAAAAAABAAEAAAICRAEAOw==');
                    if (loaded) continue;
                    var asyncSrc = e.getAttribute("anima-src");
                    if (asyncSrc == undefined || asyncSrc.length == 0) continue;
                    if (anima_isHidden(e)) continue;
                    toLoad.push(e);
                }
                toLoad.sort(function(a, b) {
                    return anima_getTop(a) - anima_getTop(b);
                });
                for (var i = 0; i < toLoad.length; i++) {
                    var e = toLoad[i];
                    var asyncSrc = e.getAttribute("anima-src");
                    e.setAttribute("src", asyncSrc);
                }
            };
            anima_pauseHiddenVideos = function(tag) {
                var elements = document.getElementsByTagName("video");
                for (var i = 0; i < elements.length; i++) {
                    var e = elements[i];
                    var isPlaying = !!(e.currentTime > 0 && !e.paused && !e.ended && e.readyState > 2);
                    var isHidden = anima_isHidden(e);
                    if (!isPlaying && !isHidden && e.getAttribute("autoplay") == "autoplay") {
                        e.play();
                    } else if (isPlaying && isHidden) {
                        e.pause();
                    }
                }
            };
            anima_loadAsyncSrc = function(tag) {
                anima_loadAsyncSrcForTag("img");
                anima_loadAsyncSrcForTag("iframe");
                anima_loadAsyncSrcForTag("video");
                anima_pauseHiddenVideos();
            };
            var anima_getTop = function(e) {
                var top = 0;
                do {
                    top += e.offsetTop || 0;
                    e = e.offsetParent;
                } while (e);
                return top;
            };
            anima_loadAsyncSrc();
            anima_old_onResize = window.onresize;
            anima_new_onResize = undefined;
            anima_updateOnResize = function() {
                if (anima_new_onResize == undefined || window.onresize != anima_new_onResize) {
                    anima_new_onResize = function(x) {
                        if (anima_old_onResize != undefined) anima_old_onResize(x);
                        anima_loadAsyncSrc();
                    };
                    window.onresize = anima_new_onResize;
                    setTimeout(function() {
                        anima_updateOnResize();
                    }, 3000);
                }
            };
            anima_updateOnResize();
            setTimeout(function() {
                anima_loadAsyncSrc();
            }, 200);
        </script>
        <!-- End of Scripts -->
    </body>
</html>
